﻿using Styx.Common;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FrogTagger
{
    public partial class SettingsForm : Form
    {
        public SettingsForm()
        {
            InitializeComponent();
            SettingsPropertyGrid.SelectedObject = CustomSettings.Instance;
        }

        protected override void OnClosing(CancelEventArgs e)
        {
            CustomSettings settings = SettingsPropertyGrid.SelectedObject as CustomSettings;
            if (settings != null)
                settings.Save();

            Logging.Write("Frogtagger Settings saved!");
            base.OnClosing(e);
        }
    }
}
